Page MenuHomePhabricator

efl/gesture: remove 'config' property from recognizers
ClosedPublic

Authored by zmike on Jan 24 2020, 11:16 AM.

Details

Summary

this is a manager functionality, and recognizers are always child objects of
managers

ref T8503

Depends on D11175

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 24 2020, 11:16 AM
zmike updated this revision to Diff 28465.Jan 24 2020, 11:19 AM
zmike edited the summary of this revision. (Show Details)
Harbormaster completed remote builds in B15625: Diff 28465.
zmike updated this revision to Diff 28472.Jan 24 2020, 11:22 AM
zmike edited the summary of this revision. (Show Details)

fix ticket ref

I approve of the docs, except for that nitpick.

src/lib/evas/gesture/efl_canvas_gesture_recognizer.eo
11

Can you use the proper doc ref @Efl.Object.provider_find?

zmike updated this revision to Diff 28552.Jan 27 2020, 11:16 AM

doc updates

CHAN accepted this revision.Jan 28 2020, 3:18 AM

Nice patch.

This revision is now accepted and ready to land.Jan 28 2020, 3:18 AM
zmike updated this revision to Diff 28679.Jan 29 2020, 11:22 AM

rebase/rework

Closed by commit rEFL7444007fe707: efl/gesture: remove 'config' property from recognizers (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 5 2020, 1:19 AM
This revision was automatically updated to reflect the committed changes.